package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.EmsObjAbility;

import java.util.List;

/**
 * 能源对象能力Service接口
 *
 * @author ruoyi
 * @date 2024-09-23
 */
public interface IEmsObjAbilityService {
    /**
     * 查询能源对象能力
     *
     * @param id 能源对象能力主键
     * @return 能源对象能力
     */
    EmsObjAbility selectObjAbilityById(Long id);

    /**
     * 查询能源对象能力列表
     *
     * @param objAbility 能源对象能力
     * @return 能源对象能力集合
     */
    List<EmsObjAbility> selectObjAbilityList(EmsObjAbility objAbility);

    /**
     * 查询能源对象能力列表
     *
     * @param modelCode 模型编号
     * @return 能源对象能力集合
     */
    List<EmsObjAbility> selectByModelCode(String modelCode);

    /**
     * 新增能源对象能力
     *
     * @param objAbility 能源对象能力
     * @return 结果
     */
    int insertObjAbility(EmsObjAbility objAbility);

    /**
     * 批量新增能源对象能力
     *
     * @param list 能源对象能力
     * @return 结果
     */
    int insertBatch(List<EmsObjAbility> list);

    /**
     * 修改能源对象能力
     *
     * @param objAbility 能源对象能力
     * @return 结果
     */
    int updateObjAbility(EmsObjAbility objAbility);

    /**
     * 批量删除能源对象能力
     *
     * @param ids 需要删除的能源对象能力主键集合
     * @return 结果
     */
    int deleteObjAbilityByIds(Long[] ids);

    /**
     * 删除能源对象能力信息
     *
     * @param id 能源对象能力主键
     * @return 结果
     */
    int deleteObjAbilityById(Long id);

    /**
     * 根据模型编号删除
     *
     * @param modelCode 模型编号
     * @return 结果
     */
    int deleteByModelCode(String modelCode);
}
